# $Revision: 1.15 $, $Date: 2011/05/23 06:53:23 $
Summary:	QNapi - Movie Subtitle Downloader
Summary(pl.UTF-8):	QNapi - program pobierający napisy do filmów
Name:		qnapi
Version:	0.1.5
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/qnapi/%{name}-%{version}.tar.gz
# Source0-md5:	503a34b4605507740bca5fbf6a20fbf8
Source1:	%{name}-konqueror.desktop
URL:		http://krzemin.iglu.cz/qnapi/
BuildRequires:	QtGui-devel >= 4.3.0
BuildRequires:	QtNetwork-devel >= 4.3.0
BuildRequires:	QtXml-devel >= 4.3.0
BuildRequires:	qt4-build >= 4.3.0
BuildRequires:	qt4-qmake >= 4.3.0
Requires:	p7zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QNapi are unofficial and free clone of NAPI-PROJEKT written for Linux
(and other OS) users, for which there is no official NAPI-PROJEKT
client. This program has functionality similar to the original client
(adding subtitles, sending bug reports etc.), thus it helps in
increasing NAPI database.

%description -l pl.UTF-8
QNapi jest nieoficjalnym, wolnym klonem programu NAPI-PROJEKT,
napisanym z myślą o użytkownikach Linuksa oraz innych systemów
operacyjnych, pod które oryginalny NAPI-PROJEKT nie jest dostępny.
Program ma funkcjonalność zbliżoną do oryginalnego klienta (m.in.
dodawanie napisów, zgłaszanie raportów o błędach), przez co pozwala
zwiększyć rozmiar bazy NAPI.

%package konqueror
Summary:	Konqueror actions for QNapi
Summary(pl.UTF-8):	Akcje QNapi dla Konquerora
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	konqueror

%description konqueror
QNapi actions on media files for Konqueror.

%description konqueror -l pl.UTF-8
Ten pakiet dodaje do Konquerora akcje QNapi na plikach
multimedialnych.

%package kde4
Summary:	Konqueror actions for QNapi
Summary(pl.UTF-8):	Akcje QNapi dla Konquerora
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description kde4
QNapi actions on media files for KDE4.

%description kde4 -l pl.UTF-8
Ten pakiet dodaje do KDE4 akcje QNapi na plikach multimedialnych.

%package dolphin
Summary:	dolphin actions for QNapi
Summary(pl.UTF-8):	Akcje QNapi dla Dolphina
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	kde-dolphin

%description dolphin
QNapi actions on media files for Dolphin.

%description dolphin -l pl.UTF-8
Ten pakiet dodaje do Dolphina akcje QNapi na plikach multimedialnych.

%prep
%setup -q

%build
qmake-qt4 -unix -o Makefile %{name}.pro
%{__make} clean
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -p qnapi $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

install -d $RPM_BUILD_ROOT%{_iconsdir}
cp -p res/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}
cp -p res/%{name}-48.png $RPM_BUILD_ROOT%{_iconsdir}
cp -p res/%{name}-128.png $RPM_BUILD_ROOT%{_iconsdir}
cp -p res/%{name}-512.png $RPM_BUILD_ROOT%{_iconsdir}

install -d $RPM_BUILD_ROOT%{_desktopdir}
cp -p doc/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}

install -d $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus
install -d $RPM_BUILD_ROOT%{_datadir}/apps/dolphin/servicemenus
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/apps/dolphin/servicemenus
install -d $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/qnapi-download.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/ChangeLog doc/README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_iconsdir}/%{name}*.png
%{_desktopdir}/%{name}.desktop

%files kde4
%defattr(644,root,root,755)
%{_datadir}/kde4/services/ServiceMenus/%{name}*.desktop

%if 0
error: qnapi-konqueror-0.1.5-3: req konqueror not found
%files konqueror
%defattr(644,root,root,755)
%{_datadir}/apps/konqueror/servicemenus/%{name}*.desktop

error: qnapi-dolphin-0.1.5-3: req kde-dolphin not found
%files dolphin
%defattr(644,root,root,755)
%{_datadir}/apps/dolphin/servicemenus/%{name}*.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qnapi.spec,v $
Revision 1.15  2011/05/23 06:53:23  glen
- disable broken subpackages

Revision 1.14  2011/04/15 07:13:01  lisu
- rel 3

Revision 1.13  2010/01/29 19:27:54  wiget
- Release: 2

Revision 1.12  2010/01/07 22:04:28  cactus
- revert to 0.1.5

Revision 1.11  2009/11/11 22:52:13  cactus
- BR: QXml-devel

Revision 1.10  2009/07/15 15:07:18  cactus
- up to 0.1.6-rc2
- subpackage kde4
- updated action file

Revision 1.9  2008/05/23 16:24:52  arekm
- up to 0.1.5

Revision 1.8  2008-04-08 21:09:05  arekm
- up to 0.1.4

Revision 1.7  2008-03-16 13:31:43  glen
- always strict internal deps (unless reasoned otherwise)

Revision 1.6  2008-03-15 22:14:04  qboosh
- general cleanup, en description, fixed new subpackages

Revision 1.5  2008-03-15 17:58:00  cactus
- konqueror servicemenu
- dolphin servicemenu
- rel 2.

Revision 1.4  2008-03-10 16:06:04  kosmo
- post-commit fixes ...

Revision 1.3  2008-03-10 15:59:47  kosmo
- updated to 0.1.3

Revision 1.2  2008-02-28 12:19:29  shadzik
- qt4-qmake -> qmake-qt4
- rel 2

Revision 1.1  2008-02-27 22:12:04  kosmo
- initial version
- please check packet summary and description
